Ticket #240 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

Update OMEROReader to work with 2.3 server

Reported by: melissa Owned by: melissa
Priority: critical Milestone:
Component: bio-formats Severity: major
Keywords: Cc:
Blocked By: Blocking:

Description

Currently, the OMERO reader (and corresponding ImageJ plugin) only works with OMERO 2.2. We should update the reader to work with OMERO 2.3 (which uses a different API), ideally preserving connectivity to 2.2 servers. The solution to this problem should be flexible enough to allow for future OMERO upgrades.

Change History

comment:1 Changed 12 years ago by melissa

  • Status changed from new to closed
  • Resolution set to fixed

r3797. Actually didn't need to change the OME plugin or OMEROReader at all, just needed to upgrade OMERO client/common libraries and add Spring to the list of dependencies. As a result, we can download from both 2.2 and 2.3 servers.

Note: See TracTickets for help on using tickets.